Bug 456611 - openib-* packages missing obsoletes - breaks up2date
openib-* packages missing obsoletes - breaks up2date
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openib (Show other bugs)
4.8
i386 Linux
low Severity medium
: rc
: ---
Assigned To: Doug Ledford
:
: 433740 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-24 18:25 EDT by Dave Botsch
Modified: 2008-10-03 11:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 10:56:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Botsch 2008-07-24 18:25:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20080711 Red Hat/1.5.0.12-0.21.el4 Firefox/1.5.0.12 pango-text

Description of problem:
as of July 24, 2008, openib-tvflash, openib-mstflint, and openib-perftest are missing the obsoletes of the older packages tvflash, mstflint, and perftest -- this breaks up2date when trying to update from an older install of RHEL4 -- tvflash, mstflint, and perftest all require kernel-ib, when is obsoleted by openib

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Install rhel4u4
2. Run up2date -u
3. Fail

Actual Results:
up2date fails to update with mstflint, perftest, and tvflash all requiring kernel-ib

Expected Results:
system should have updated

Additional info:
A similar problem was previously reported with openib-srptools - seems that was not fixed yet, either.
Comment 1 Doug Ledford 2008-07-24 19:13:00 EDT
The openib stack changed so much between rhel4u4 (which was a tech preview
release) and now, that a direct update from rhel4u4 to rhel4u7 that includes the
openib stack is not guaranteed to work.  You need some of the intermediate steps
in there, or you need to bypass the openib stack when doing the rhel4u4 install
and add the stack back in after updating to the latest update.
Comment 2 Doug Ledford 2008-10-03 10:56:06 EDT
Closing this out.
Comment 3 Doug Ledford 2008-10-03 11:04:48 EDT
*** Bug 433740 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.